# Set next renewal price

Use the **setCustomRenewalPrice** method to set custom renewal prices for subscriptions and control the number of recurring billing cycles the price impact subscribers. Charge customers custom prices for the renewal of subscriptions, moving away from the recurring pricing configuration at product level.&#x20;

## Request parameters <a href="#parameters" id="parameters"></a>

<table><thead><tr><th width="212.933349609375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <strong>sessionID</strong> into all your requests. 2Checkout throws an exception if the values are incorrect.  The <strong>sessionID</strong> expires in <strong>10 minutes</strong>.</td></tr><tr><td><code>SubscriptionReference</code></td><td><strong>Required (string)</strong><br>Unique, system-generated subscription identifier.</td></tr><tr><td><code>Price</code></td><td><strong>Required (double)</strong><br>The custom renewal price you want to charge.</td></tr><tr><td><code>Currency</code></td><td><strong>Required (string)</strong><br>Currency in which prices are expressed. The currency ISO code used for the payment is ISO 4217. The default currency is the same as in the previous payment made by the customer.</td></tr><tr><td><code>Cycles</code></td><td><strong>Required (int)</strong><br>Number of recurring billing cycles for which 2Checkout charges customers the custom price rather, ignoring product–level recurring pricing configurations. (The renewal cycles number must be a positive integer. Default value 1).</td></tr><tr><td><code>ReasonText</code></td><td><strong>Optional (string)</strong><br>Save details at the subscription-level about the custom costs.</td></tr></tbody></table>

### Request sample <a href="#request" id="request"></a>

```php
<?php

require ('PATH_TO_AUTH');

$subscriptionReference = 'YOUR_REFERENCE';
$Price = 25;
$Currency = 'gbp';
$Cycles = 7;
$ReasonText = null;

$jsonRpcRequest = array (
'method' => 'setCustomRenewalPrice',
'params' => array($sessionID, $subscriptionReference, $Price, $Currency, $Cycles, $ReasonText),
'id' => $i++,
'jsonrpc' => '2.0');

var_dump (callRPC((Object)$jsonRpcRequest, $host, true));
```

## Response parameters <a href="#response" id="response"></a>

<table><thead><tr><th width="110.53338623046875">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>Boolean</strong></td><td><strong>true</strong> or <strong>false</strong> depending on whether or not the operation succeeded.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/next-renewal-price/set-next-renewal-price.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
